IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
2c19:cb::/32- First address
2c19:cb::- Last address
2c19:cb:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
2c19:00cb:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
b.c.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:cb::/32 makes 4,096 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:cb::/44 | 2c19:cb:f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:cb:10::/44 | 2c19:cb:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:cb:20::/44 | 2c19:cb:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:cb:30::/44 | 2c19:cb:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:cb:40::/44 | 2c19:cb:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:cb:50::/44 | 2c19:cb:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:cb:60::/44 | 2c19:cb:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:cb:70::/44 | 2c19:cb:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:cb:80::/44 | 2c19:cb:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:cb:90::/44 | 2c19:cb:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:cb:a0::/44 | 2c19:cb:af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:cb:b0::/44 | 2c19:cb:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:cb:c0::/44 | 2c19:cb:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:cb:d0::/44 | 2c19:cb:df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:cb:e0::/44 | 2c19:cb:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:cb:f0::/44 | 2c19:cb:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:cb:100::/44 | 2c19:cb:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:cb:110::/44 | 2c19:cb:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:cb:120::/44 | 2c19:cb:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:cb:130::/44 | 2c19:cb:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:cb:140::/44 | 2c19:cb:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:cb:150::/44 | 2c19:cb:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:cb:160::/44 | 2c19:cb:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:cb:170::/44 | 2c19:cb:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:cb:180::/44 | 2c19:cb:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:cb:190::/44 | 2c19:cb:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:cb:1a0::/44 | 2c19:cb:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:cb:1b0::/44 | 2c19:cb:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:cb:1c0::/44 | 2c19:cb:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:cb:1d0::/44 | 2c19:cb:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:cb:1e0::/44 | 2c19:cb:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:cb:1f0::/44 | 2c19:cb:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:cb:200::/44 | 2c19:cb:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:cb:210::/44 | 2c19:cb:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:cb:220::/44 | 2c19:cb:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:cb:230::/44 | 2c19:cb:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:cb:240::/44 | 2c19:cb:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:cb:250::/44 | 2c19:cb:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:cb:260::/44 | 2c19:cb:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:cb:270::/44 | 2c19:cb:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:cb:280::/44 | 2c19:cb:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:cb:290::/44 | 2c19:cb:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:cb:2a0::/44 | 2c19:cb:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:cb:2b0::/44 | 2c19:cb:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:cb:2c0::/44 | 2c19:cb:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:cb:2d0::/44 | 2c19:cb:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:cb:2e0::/44 | 2c19:cb:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:cb:2f0::/44 | 2c19:cb:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:cb:300::/44 | 2c19:cb:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:cb:310::/44 | 2c19:cb:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:cb:320::/44 | 2c19:cb:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:cb:330::/44 | 2c19:cb:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:cb:340::/44 | 2c19:cb:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:cb:350::/44 | 2c19:cb:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:cb:360::/44 | 2c19:cb:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:cb:370::/44 | 2c19:cb:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:cb:380::/44 | 2c19:cb:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:cb:390::/44 | 2c19:cb:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:cb:3a0::/44 | 2c19:cb:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:cb:3b0::/44 | 2c19:cb:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:cb:3c0::/44 | 2c19:cb:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:cb:3d0::/44 | 2c19:cb:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:cb:3e0::/44 | 2c19:cb:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:cb:3f0::/44 | 2c19:cb:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:cb:400::/44 | 2c19:cb:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:cb:410::/44 | 2c19:cb:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:cb:420::/44 | 2c19:cb:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:cb:430::/44 | 2c19:cb:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:cb:440::/44 | 2c19:cb:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:cb:450::/44 | 2c19:cb:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:cb:460::/44 | 2c19:cb:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:cb:470::/44 | 2c19:cb:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:cb:480::/44 | 2c19:cb:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:cb:490::/44 | 2c19:cb:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:cb:4a0::/44 | 2c19:cb:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:cb:4b0::/44 | 2c19:cb:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:cb:4c0::/44 | 2c19:cb:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:cb:4d0::/44 | 2c19:cb:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:cb:4e0::/44 | 2c19:cb:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:cb:4f0::/44 | 2c19:cb:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:cb:500::/44 | 2c19:cb:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:cb:510::/44 | 2c19:cb:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:cb:520::/44 | 2c19:cb:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:cb:530::/44 | 2c19:cb:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:cb:540::/44 | 2c19:cb:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:cb:550::/44 | 2c19:cb:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:cb:560::/44 | 2c19:cb:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:cb:570::/44 | 2c19:cb:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:cb:580::/44 | 2c19:cb:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:cb:590::/44 | 2c19:cb:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:cb:5a0::/44 | 2c19:cb:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:cb:5b0::/44 | 2c19:cb:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:cb:5c0::/44 | 2c19:cb:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:cb:5d0::/44 | 2c19:cb:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:cb:5e0::/44 | 2c19:cb:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:cb:5f0::/44 | 2c19:cb:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:cb:600::/44 | 2c19:cb:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:cb:610::/44 | 2c19:cb:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:cb:620::/44 | 2c19:cb:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:cb:630::/44 | 2c19:cb:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:cb:640::/44 | 2c19:cb:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:cb:650::/44 | 2c19:cb:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:cb:660::/44 | 2c19:cb:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:cb:670::/44 | 2c19:cb:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:cb:680::/44 | 2c19:cb:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:cb:690::/44 | 2c19:cb:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:cb:6a0::/44 | 2c19:cb:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:cb:6b0::/44 | 2c19:cb:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:cb:6c0::/44 | 2c19:cb:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:cb:6d0::/44 | 2c19:cb:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:cb:6e0::/44 | 2c19:cb:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:cb:6f0::/44 | 2c19:cb:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:cb:700::/44 | 2c19:cb:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:cb:710::/44 | 2c19:cb:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:cb:720::/44 | 2c19:cb:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:cb:730::/44 | 2c19:cb:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:cb:740::/44 | 2c19:cb:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:cb:750::/44 | 2c19:cb:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:cb:760::/44 | 2c19:cb:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:cb:770::/44 | 2c19:cb:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:cb:780::/44 | 2c19:cb:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:cb:790::/44 | 2c19:cb:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:cb:7a0::/44 | 2c19:cb:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:cb:7b0::/44 | 2c19:cb:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:cb:7c0::/44 | 2c19:cb:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:cb:7d0::/44 | 2c19:cb:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:cb:7e0::/44 | 2c19:cb:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:cb:7f0::/44 | 2c19:cb:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:cb:800::/44 | 2c19:cb:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:cb:810::/44 | 2c19:cb:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:cb:820::/44 | 2c19:cb:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:cb:830::/44 | 2c19:cb:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:cb:840::/44 | 2c19:cb:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:cb:850::/44 | 2c19:cb:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:cb:860::/44 | 2c19:cb:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:cb:870::/44 | 2c19:cb:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:cb:880::/44 | 2c19:cb:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:cb:890::/44 | 2c19:cb:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:cb:8a0::/44 | 2c19:cb:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:cb:8b0::/44 | 2c19:cb:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:cb:8c0::/44 | 2c19:cb:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:cb:8d0::/44 | 2c19:cb:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:cb:8e0::/44 | 2c19:cb:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:cb:8f0::/44 | 2c19:cb:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:cb:900::/44 | 2c19:cb:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:cb:910::/44 | 2c19:cb:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:cb:920::/44 | 2c19:cb:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:cb:930::/44 | 2c19:cb:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:cb:940::/44 | 2c19:cb:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:cb:950::/44 | 2c19:cb:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:cb:960::/44 | 2c19:cb:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:cb:970::/44 | 2c19:cb:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:cb:980::/44 | 2c19:cb:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:cb:990::/44 | 2c19:cb:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:cb:9a0::/44 | 2c19:cb:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:cb:9b0::/44 | 2c19:cb:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:cb:9c0::/44 | 2c19:cb:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:cb:9d0::/44 | 2c19:cb:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:cb:9e0::/44 | 2c19:cb:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:cb:9f0::/44 | 2c19:cb:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:cb:a00::/44 | 2c19:cb:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:cb:a10::/44 | 2c19:cb:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:cb:a20::/44 | 2c19:cb:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:cb:a30::/44 | 2c19:cb:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:cb:a40::/44 | 2c19:cb:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:cb:a50::/44 | 2c19:cb:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:cb:a60::/44 | 2c19:cb:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:cb:a70::/44 | 2c19:cb:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:cb:a80::/44 | 2c19:cb:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:cb:a90::/44 | 2c19:cb:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:cb:aa0::/44 | 2c19:cb:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:cb:ab0::/44 | 2c19:cb:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:cb:ac0::/44 | 2c19:cb:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:cb:ad0::/44 | 2c19:cb:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:cb:ae0::/44 | 2c19:cb:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:cb:af0::/44 | 2c19:cb:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:cb:b00::/44 | 2c19:cb:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:cb:b10::/44 | 2c19:cb:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:cb:b20::/44 | 2c19:cb:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:cb:b30::/44 | 2c19:cb:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:cb:b40::/44 | 2c19:cb:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:cb:b50::/44 | 2c19:cb:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:cb:b60::/44 | 2c19:cb:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:cb:b70::/44 | 2c19:cb:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:cb:b80::/44 | 2c19:cb:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:cb:b90::/44 | 2c19:cb:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:cb:ba0::/44 | 2c19:cb:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:cb:bb0::/44 | 2c19:cb:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:cb:bc0::/44 | 2c19:cb:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:cb:bd0::/44 | 2c19:cb:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:cb:be0::/44 | 2c19:cb:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:cb:bf0::/44 | 2c19:cb:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:cb:c00::/44 | 2c19:cb:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:cb:c10::/44 | 2c19:cb:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:cb:c20::/44 | 2c19:cb:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:cb:c30::/44 | 2c19:cb:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:cb:c40::/44 | 2c19:cb:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:cb:c50::/44 | 2c19:cb:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:cb:c60::/44 | 2c19:cb:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:cb:c70::/44 | 2c19:cb:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:cb:c80::/44 | 2c19:cb:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:cb:c90::/44 | 2c19:cb:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:cb:ca0::/44 | 2c19:cb:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:cb:cb0::/44 | 2c19:cb:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:cb:cc0::/44 | 2c19:cb:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:cb:cd0::/44 | 2c19:cb:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:cb:ce0::/44 | 2c19:cb:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:cb:cf0::/44 | 2c19:cb:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:cb:d00::/44 | 2c19:cb:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:cb:d10::/44 | 2c19:cb:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:cb:d20::/44 | 2c19:cb:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:cb:d30::/44 | 2c19:cb:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:cb:d40::/44 | 2c19:cb:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:cb:d50::/44 | 2c19:cb:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:cb:d60::/44 | 2c19:cb:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:cb:d70::/44 | 2c19:cb:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:cb:d80::/44 | 2c19:cb:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:cb:d90::/44 | 2c19:cb:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:cb:da0::/44 | 2c19:cb:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:cb:db0::/44 | 2c19:cb:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:cb:dc0::/44 | 2c19:cb:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:cb:dd0::/44 | 2c19:cb:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:cb:de0::/44 | 2c19:cb:def:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:cb:df0::/44 | 2c19:cb:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:cb:e00::/44 | 2c19:cb:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:cb:e10::/44 | 2c19:cb:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:cb:e20::/44 | 2c19:cb:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:cb:e30::/44 | 2c19:cb:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:cb:e40::/44 | 2c19:cb:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:cb:e50::/44 | 2c19:cb:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:cb:e60::/44 | 2c19:cb:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:cb:e70::/44 | 2c19:cb:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:cb:e80::/44 | 2c19:cb:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:cb:e90::/44 | 2c19:cb:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:cb:ea0::/44 | 2c19:cb:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:cb:eb0::/44 | 2c19:cb:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:cb:ec0::/44 | 2c19:cb:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:cb:ed0::/44 | 2c19:cb:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:cb:ee0::/44 | 2c19:cb:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:cb:ef0::/44 | 2c19:cb:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:cb:f00::/44 | 2c19:cb:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:cb:f10::/44 | 2c19:cb:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:cb:f20::/44 | 2c19:cb:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:cb:f30::/44 | 2c19:cb:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:cb:f40::/44 | 2c19:cb:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:cb:f50::/44 | 2c19:cb:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:cb:f60::/44 | 2c19:cb:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:cb:f70::/44 | 2c19:cb:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:cb:f80::/44 | 2c19:cb:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:cb:f90::/44 | 2c19:cb:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:cb:fa0::/44 | 2c19:cb:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:cb:fb0::/44 | 2c19:cb:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:cb:fc0::/44 | 2c19:cb:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:cb:fd0::/44 | 2c19:cb:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:cb:fe0::/44 | 2c19:cb:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:cb:ff0::/44 | 2c19:cb:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |